html {
  line-height: $font-line-height;
  font-size: clamp($font-size-base, 1vw, 20px);
}

body {
  color: $black;
  font-weight: $font-weight-base;
  font-size: 1rem;
  font-family: $font-family-body !important;
  overflow-x: hidden;
}

a {
  color: $black;
  text-decoration: none;
}

.img-responsive {
  display: block;
  max-width: 100%;
  height: auto;
}

.container-fluid {
  padding-left: 5%;
  padding-right: 5%;
  margin-left: auto;
  margin-right: auto;
  width: 100%;
  max-width: 114.286rem;
}

.container {
  max-width: 1296px;
  margin: 0 auto;
  padding: 0 32px;
  @include media('xs'){
    padding: 0 16px;
  }
}

.flex {
  display: flex;

  &.align-v-center {
    align-items: center;
  }

  &.align-v-start {
    align-items: flex-start;
  }

  &.align-v-end {
    align-items: flex-end;
  }

  &.align-h-center {
    justify-content: center;
  }

  &.align-h-start {
    justify-content: flex-start;
  }

  &.align-h-end {
    justify-content: flex-end;
  }

  &.align-h-space-between {
    justify-content: space-between;
  }

  &.flex-row {
    flex-direction: row;
  }

  &.flex-column {
    flex-direction: column;
  }

  &.flex-wrap {
    flex-wrap: wrap;
  }
}

.section {
  padding-bottom: 2.143rem;
  margin-bottom: 2.143rem;

  @include media("xs") {
    padding-bottom: 0;
    margin-bottom: 0;
  }
}

.swiper-pagination {
  bottom: 20px;
  display: flex;
  justify-content: center;
  align-items: center;
  .swiper-pagination-bullet {
    background-color: #F5F5FB;
    border: 2px solid $color-accent;
    opacity: 1;
    width: 8px;
    height: 8px;
  
    &.swiper-pagination-bullet-active{
      background-color: $color-accent;
      width: 11px;
      height: 11px;
    }
  }
}
.skeleton {
  @extend %skeleton;
}

.lazy {
  opacity: 0;
  transition: all 300ms ease;

  &.loaded {
    opacity: 1;

    & + .skeleton {
      opacity: 0;
    }
  }
}

.popup {
  display: none;
}

.visible-xs {
  display: none !important;

  @include media("xs") {
    display: block !important;
  }
}

.hidden-xs {
  @include media("xs") {
    display: none !important;
  }
}

.title {
  font-family: $font-family-title;
  font-size: $font-size-title;
  line-height: 3.214rem;
  margin-bottom: 1.286rem;
  margin-top: 0;

  @include media("xs") {
    font-size: 1.786rem;
    line-height: 2.5rem;
  }
}

.subtitle {
  font-size: $font-size-subtitle;
  line-height: 1.9rem;
  margin-bottom: 2rem;
  max-width: 23.143rem;
  margin-top: 0;
  font-weight: bold;
  color: $color-accent;
}

.btn {
  @extend %btn;
}
.section-header{
  display: flex;
  justify-content: space-between;
  align-items: flex-start;

  .title {
    text-transform: uppercase;
    font-size: 32px;
    line-height: 38.4px;
    color: $darkgray;
    font-weight: 400;
    letter-spacing: 0.08em;
    margin-bottom: 40px;

    @include media("xs") {
      font-size: 1.4rem;
      text-align: center;
      margin-bottom: 30px;
    }
  }

  a {
    border: 1px solid $color-accent;
    border-radius: 4px;
    color: $darkgray;
    transition: .3s;
    font-size: 14px;
    line-height: 16.8px;
    padding: 8px 16px;
    letter-spacing: 0.08em;
    &:hover{
      background: $darkgray;
      color: $white;
    }

    @include media("xs") {
      position: absolute;
      width: 100%;
      top: 100%;
    }
  }

  @include media("xs") {
    display: block;
  }
}
.icon {
  width: 1rem;
  height: 1rem;
  stroke-width: 2.5px;
  stroke: $color-accent;
  color: $color-accent;
}

[data-msg-retorno]{
  [data-msg-success], [data-msg-error]{
    display: none;
    color: $black;
    text-align: center;
    padding: 10px;
    border-radius: 3px;
    width: 100%;
    p{
      font-size: 12px;
      line-height: 12px;
    }
    &.visible{
      display: block;
    }
  }
}

.cart-drawer-z-50{
  z-index: 999 !important;
}
